Bug 249814 - move libpopt to /lib(64)
Summary: move libpopt to /lib(64)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: popt   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 249352
Blocks: 243228
TreeView+ depends on / blocked
 
Reported: 2007-07-27 09:18 UTC by Till Maas
Modified: 2007-11-30 22:12 UTC (History)
7 users (show)

Fixed In Version: 1.12-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 23:09:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Till Maas 2007-07-27 09:18:24 UTC
+++ This bug was initially created as a clone of Bug #243228 +++

This will break things using /etc/crypttab and a separate /usr

-- Additional comment from opensource@till.name on 2007-07-26 13:46 EST --
Cryptsetup-luks in Fedora 7 and before were build statically, this changed with
1.0.3-5 in rawhide. I do not know why this changed, but I guess we should either
put the following libraries into /lib
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x0012e000)
        libcryptsetup.so.0 => /usr/lib/libcryptsetup.so.0 (0x00136000)
        libgcrypt.so.11 => /usr/lib/libgcrypt.so.11 (0x001b5000)
        libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0x47d8f000)
or go back to building it statically.

This not only breaks existing installations, but also blocks Bug #124789
(encrypted root support).

There was also a bug report for cryptsetup to build it statically: #129926,
which was closed a long time ago.




-- Additional comment from opensource@till.name on 2007-07-26 18:55 EST --
I commited the necessary changes to cvs to build it statically again, there is a
scratch build available:
http://koji.fedoraproject.org/koji/taskinfo?taskID=78776

-- Additional comment from katzj@redhat.com on 2007-07-26 19:42 EST --
Static linking isn't the right answer, though, and is explicitly disallowed per
the packaging guidelines.  The fact that it's needed in early boot isn't a
reason to link it statically; instead, it's a reason to get libraries moved to /lib.

-- Additional comment from opensource@till.name on 2007-07-27 04:52 EST --
(In reply to comment #3)
> Static linking isn't the right answer, though, and is explicitly disallowed per
> the packaging guidelines.  The fact that it's needed in early boot isn't a
> reason to link it statically; instead, it's a reason to get libraries moved to 
> /lib.

I have commited to cvs a change that moves the cryptsetup libraries to /lib.
Here is a list of the packages that need to move their libraries to /lib:

/usr/lib/libgcrypt.so.11 -> libgcrypt
/usr/lib/libpopt.so.0 -> popt (rpm)
/usr/lib/libgpg-error.so.0 -> libgpg-error

Comment 1 Jeff Johnson 2007-07-29 13:56:01 UTC
popt is split from rpm as its own project.

UPSTREAM

Comment 2 Till Maas 2007-07-29 15:42:03 UTC
(In reply to comment #1)
> popt is split from rpm as its own project.

I do not understand, the popt package is created in rpm.spec and the sources are
in the rpm tarball. Also otherwise, there should be an own popt.spec or
libpopt.spec.

> UPSTREAM

What should upstream do? The popt directory seems to contain autoconf, so popt
can be configured to be installed into /lib(64) with:

%configure --libdir=/%{_lib}

Comment 3 Panu Matilainen 2007-07-30 08:11:19 UTC
Upstream has little relevance on how the thing is packaged in some Fedora release.

I don't care whether popt lives in /lib or /usr/lib, but the fact that it
currently comes from rpm package makes moving it somewhat cumbersome. I'd rather
see this done when popt is split out in the Fedora packaging, see bug #249352.

Comment 4 Red Hat Bugzilla 2007-08-21 05:35:23 UTC
User pnasrat@redhat.com's account has been closed

Comment 5 Panu Matilainen 2007-08-22 06:33:59 UTC
Reassigning to owner after bugzilla made a mess, sorry about the noise...

Comment 6 Robert Scheck 2007-08-23 23:09:47 UTC
popt-1.12-3 will provide the files /lib/libpopt.so.0 and /lib/libpopt.so.0.0.0 
once it reached Rawhide. I'm closing this bug report now, as this package was 
built sucessfully in Koji.


Note You need to log in before you can comment on or make changes to this bug.